Skip to main content
GET
/
knowledgeSource
/
websiteConnector
List website connectors
curl --request GET \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/websiteConnector \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 42,
    "name": "Example Website",
    "type": "website",
    "description": "<string>",
    "parent": 0,
    "pageCount": 15,
    "data": {
      "sourceConfig": {
        "url": "https://example.com",
        "maxPages": 100,
        "includePaths": [
          "<string>"
        ],
        "excludePaths": [
          "<string>"
        ]
      },
      "scheduleConfig": {
        "enabled": true,
        "frequency": "weekly",
        "status": "idle",
        "nextRunAt": "2023-11-07T05:31:56Z",
        "lastStartedAt": "2023-11-07T05:31:56Z",
        "lastCompletedAt": "2023-11-07T05:31:56Z",
        "firecrawlJobId": "<string>"
      },
      "crawlStats": {
        "new": 5,
        "changed": 2,
        "removed": 0,
        "same": 10,
        "error": 0
      },
      "lifecycleStatus": "active"
    }
  }
]

Authorizations

Authorization
string
header
required

JWT-based authentication

Response

Successful operation

id
integer

Connector ID

Example:

42

name
string

Display name

Example:

"Example Website"

type
string

Always "website"

Example:

"website"

description
string | null

Description of the connector

parent
integer

Parent folder ID

Example:

0

pageCount
integer

Number of active pages under this connector

Example:

15

data
object

Connector configuration and state (webhookSecret is never exposed)